{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"JoggAI API","colors":{"primary":"#2E5CFF","light":"#2E5CFF","dark":"#2E5CFF"},"logo":{"light":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312320557.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=60564135d6f732afa55cb2402b5b822d","dark":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Dark-logo.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=aa8916e58a85e73105f1d28ef6357d6f"},"favicon":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312319951.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=7670acffaa09107ec308969f94fe1f17","navbar":{"links":[{"href":"mailto:support@jogg.ai","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://app.jogg.ai/"}},"footer":{"socials":{"x":"https://x.com/Jogg_ai","facebook":"https://www.facebook.com/profile.php?id=61560344774204","linkedin":"https://www.linkedin.com/company/jogg-ai","youtube":"https://www.youtube.com/@joggai","discord":"https://discord.gg/RwrwZcSRCq"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Roadmap","icon":"pencil","href":"https://updates.jogg.ai/roadmap"},{"anchor":"Changelog","icon":"code","href":"https://updates.jogg.ai/changelog"},{"anchor":"Share Your Ideas","icon":"envelope","href":"https://updates.jogg.ai/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"joggai","hasAudioNarration":false,"actualSubdomain":"joggai","customDomains":["docs.jogg.ai"],"gitSource":{"type":"github","owner":"joggai-tech","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6af183882126ef8f812fc240","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Documentation","count":57},{"language":"default","tag":"Workflows Guides","count":13},{"language":"default","tag":"Video","count":13},{"language":"default","tag":"Avatar","count":7},{"language":"default","tag":"Asset","count":5},{"language":"default","tag":"Webhook","count":5},{"language":"default","tag":"Create Avatar Videos","count":4},{"language":"default","tag":"QuickStart","count":4},{"language":"default","tag":"Voice","count":4},{"language":"default","tag":"Product","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v1/Template/CreateVideoFormTemplate","slug":"/api-reference/v1/Template/CreateVideoFormTemplate","pageMetadata":{"title":"Create Video From Template","openapi":"POST /create_video_with_template","description":"Create video from Your Template.","href":"/api-reference/v1/Template/CreateVideoFormTemplate","hidden":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create video from Your Template.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Video From Template","openapi":"POST /create_video_with_template","description":"Create video from Your Template.","href":"/api-reference/v1/Template/CreateVideoFormTemplate","hidden":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Create Video from Template"],"summary":"Create video with template","description":"Create video from Your Template.","requestBody":"149572f0-d8c6-4baf-9831-b3b000bf14f8","responses":{"200":"b6f39296-40f8-4cee-9d57-de3804d6c912"},"method":"post","type":"path","servers":["e3e3ebd6-67d5-45c1-98a3-7c5ebedb5e44"],"security":["726ce07c-78a8-4f2e-a594-94c61b1af491"],"path":"/create_video_with_template","baseUrlOptions":["https://api.jogg.ai/v1"],"title":"Create video with template","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["template_id","lang","template_type","variables"],"properties":{"template_id":{"type":"integer","description":"Template ID","example":1234,"isRequired":true,"uniqueKey":"template_id","typeLabel":"integer"},"lang":{"type":"string","description":"Language for text-to-speech conversion","example":"english","isRequired":true,"uniqueKey":"lang","typeLabel":"string"},"template_type":{"type":"string","description":"\n\n\nTemplate source type:\n\n\n\n* common - Template from template library\n\n\n\n* user - Template from user templates\n","enum":["common","user"],"example":"common","isRequired":true,"uniqueKey":"template_type","typeLabel":"enum\u003cstring>"},"variables":{"type":"array","description":"Variables to replace in the template","items":{"type":"object","required":["type","name","properties"],"properties":{"type":{"type":"string","description":"\n\n\nVariable type:\n\n\n\n* text - Text content\n\n\n\n* image - Image content\n\n\n\n* video - Video content\n\n\n\n* script - Script content\n","enum":["text","image","video","script"],"isRequired":true,"uniqueKey":"variables.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","description":"Name of the variable to replace","isRequired":true,"uniqueKey":"variables.items.[INDEX].name","typeLabel":"string"},"properties":{"type":"object","properties":{"content":{"type":"string","description":"Text content (for text type)","uniqueKey":"variables.items.[INDEX].properties.content","typeLabel":"string"},"url":{"type":"string","description":"URL for media content (for image/video type)","uniqueKey":"variables.items.[INDEX].properties.url","typeLabel":"string"},"asset_id":{"type":"integer","format":"int64","description":"Asset ID for media content (for image/video type)","uniqueKey":"variables.items.[INDEX].properties.asset_id","typeLabel":"integer\u003cint64>"}},"isRequired":true,"uniqueKey":"variables.items.[INDEX].properties","typeLabel":"object"}},"uniqueKey":"variables.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"variables","typeLabel":"object[]"},"avatar_id":{"type":"integer","description":"Digital person ID","example":1,"uniqueKey":"avatar_id","typeLabel":"integer"},"avatar_type":{"type":"integer","description":"\n\n\nAvatar source type:\n\n\n\n* 0 - Public avatars\n\n\n\n* 1 - Custom avatars\n","enum":[0,1],"example":0,"uniqueKey":"avatar_type","typeLabel":"enum\u003cinteger>"},"voice_id":{"type":"string","description":"Voice ID for text-to-speech","example":"en-US-ChristopherNeural","uniqueKey":"voice_id","typeLabel":"string"},"caption":{"type":"boolean","description":"Whether to enable captions","example":true,"uniqueKey":"caption","typeLabel":"boolean"},"music_id":{"type":"integer","description":"Background music ID","example":1,"uniqueKey":"music_id","typeLabel":"integer"},"video_name":{"type":"string","description":"If you want to specify the name of the generated video, please use this parameter.","example":"My Video","uniqueKey":"video_name","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"template_id":1234,"lang":"english","template_type":"common","variables":[{"name":"\u003cstring>","properties":{"content":"\u003cstring>","url":"\u003cstring>","asset_id":123}}],"avatar_id":1,"avatar_type":0,"voice_id":"en-US-ChristopherNeural","caption":true,"music_id":1,"video_name":"My Video"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"b6f39296-40f8-4cee-9d57-de3804d6c912":{"description":"Success","content":{"application/json":{"schema":{"type":"object","required":["code","msg"],"properties":{"code":{"type":"integer","description":"\n\n\nBusiness status code:\n\n\n\n* 0 - Success\n\n\n\n* 10104 - Record not found\n\n\n\n* 10105 - Invalid API key\n\n\n\n* 18020 - Insufficient credit\n\n\n\n* 18025 - No permission to call APIs.\n\n\n\n* 40000 - Parameter error\n\n\n\n* 50000 - System error\n","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"msg":{"type":"string","description":"Response message","isRequired":true,"uniqueKey":"msg","typeLabel":"string"},"data":{"type":"object","properties":{"project_id":{"type":"string","description":"Created project ID","example":"12345","uniqueKey":"data.project_id","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":123,"msg":"\u003cstring>","data":{"project_id":"12345"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"726ce07c-78a8-4f2e-a594-94c61b1af491":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]}}},"servers":{"e3e3ebd6-67d5-45c1-98a3-7c5ebedb5e44":{"url":"https://api.jogg.ai/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"x-api-key"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference/v1/openapi.json"},"subdomain":"joggai","siteName":"JoggAI API","title":"Create Video From Template - JoggAI API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-28T09:29:43.226Z","originalFileLocation":"api-reference/v1/Template/CreateVideoFormTemplate.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create video from Your Template.\">\u003cmeta data-mint-head name=\"application-name\" content=\"JoggAI API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Video From Template - JoggAI API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create video from Your Template.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"JoggAI API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://joggai.mintlify.site/_mintlify/api/og/v2?division=Template\u0026amp;title=Create+Video+From+Template\u0026amp;description=Create+video+from+Your+Template.\u0026amp;theme=45f50e3d65156d794d2965b2\u0026amp;signature=f08660877561ca4904c94727926febca96ff9511e24ac5cfd0119cccdeda047a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Video From Template - JoggAI API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create video from Your Template.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://joggai.mintlify.site/_mintlify/api/og/v2?division=Template\u0026amp;title=Create+Video+From+Template\u0026amp;description=Create+video+from+Your+Template.\u0026amp;theme=45f50e3d65156d794d2965b2\u0026amp;signature=f08660877561ca4904c94727926febca96ff9511e24ac5cfd0119cccdeda047a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"JoggAI API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2E5CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v1/Template/CreateVideoFormTemplate.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.jogg.ai/#organization\",\"name\":\"JoggAI API\",\"url\":\"https://docs.jogg.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312320557.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=60564135d6f732afa55cb2402b5b822d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.jogg.ai#website\",\"name\":\"JoggAI API\",\"url\":\"https://docs.jogg.ai\",\"publisher\":{\"@id\":\"https://docs.jogg.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate#webpage\",\"url\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate\",\"name\":\"Create Video From Template\",\"description\":\"Create video from Your Template.\",\"dateModified\":\"2026-08-28T09:29:43.226Z\",\"isPartOf\":{\"@id\":\"https://docs.jogg.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Template\",\"item\":\"https://docs.jogg.ai/api-reference/v1/Template/GetTemplate\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Video From Template\",\"item\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate#apireference\",\"headline\":\"Create Video From Template\",\"name\":\"Create Video From Template\",\"description\":\"Create video from Your Template.\",\"url\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate\",\"mainEntityOfPage\":{\"@id\":\"https://docs.jogg.ai/api-reference/v1/Template/CreateVideoFormTemplate#webpage\"},\"dateModified\":\"2026-08-28T09:29:43.226Z\",\"publisher\":{\"@id\":\"https://docs.jogg.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.jogg.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"JoggAI API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"JoggAI API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/v1/Template/CreateVideoFormTemplate.md","siteName":"JoggAI API","nav":{"global":{"anchors":[{"anchor":"Roadmap","icon":"pencil","href":"https://updates.jogg.ai/roadmap"},{"anchor":"Changelog","icon":"code","href":"https://updates.jogg.ai/changelog"},{"anchor":"Share Your Ideas","icon":"envelope","href":"https://updates.jogg.ai/"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home/WelcometoJoggAI"}]},{"tab":"API Documentation","pages":[{"title":"API Documentation","href":"/api-reference/v2/QuickStart/GettingStarted"}]},{"tab":"V1","hidden":true,"groups":[{"group":"QuickStart","pages":[{"title":"Getting Started","description":"Quick start guide for JoggAI API","href":"/api-reference/v1/QuickStart/GettingStarted"}]},{"group":"API Documentation","pages":[{"group":"Create Avatar Videos","pages":[{"title":"Create Avatar Videos Using Library Avatars","description":"How to create avatar video with the avatars from library.","href":"/api-reference/v1/API Documentation/CreateAvatarVideo"},{"title":"Create Avatar Videos Using Instant Avatars","description":"How to create avatar video with instant avatars.","href":"/api-reference/v1/API Documentation/CreateAvatarVideoWithInstantAvatar"},{"title":"Create Avatar Videos Using Photo Avatars","description":"How to create avatar video with Photo avatars.","href":"/api-reference/v1/API Documentation/CreateAvatarVideoWithPhotoAvatar"},{"title":"Using Audio Source as Voice","description":"create avatar video by uploading audio.","href":"/api-reference/v1/API Documentation/UsingAudioSourceasVoice"},{"title":"Create Transparent Avatar Videos in WebM/MP4 Format","description":"How to create transparent avatar videos in WebM/MP4 format.","href":"/api-reference/v1/API Documentation/CreateTransparentAvatarVideos"}]},{"title":"Create Video from URL/Product info","description":"How to create video from URL/Product info .","href":"/api-reference/v1/API Documentation/CreateVideoFromURL"},{"title":"Create Video from Your Template","description":"How to create video from Your Template.","href":"/api-reference/v1/API Documentation/CreatVideoFormTemplate"},{"title":"Create Photo Avatar","description":"Transform static images into dynamic, talking avatars with JoggAI's Photo Avatar API.","href":"/api-reference/v1/API Documentation/CreatePhotoAvatar"},{"title":"AI Scripts","description":"How to generate AI scripts from product?","href":"/api-reference/v1/API Documentation/AIScripts"},{"title":"Upload Media","description":"Upload your own media resources.","href":"/api-reference/v1/API Documentation/UploadMedia"},{"title":"Webhook Integration Guide","description":"How to receive notifications for various events through webhooks.","href":"/api-reference/v1/API Documentation/Webhook"}]},{"group":"URL to Video","pages":[{"title":"Upload URL to create product","openapi":"POST /product","description":"\n\n\nGet product information by crawling the provided URL or create a new product with provided information.\n\n\n\nThe response contains product_id which is used in Step 2 \u0026 Step 3 for updating product information and creating the video.","href":"/api-reference/v1/URL-to-Video/UploadURL"},{"title":"Update Product Information","openapi":"PUT /product","description":"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)","href":"/api-reference/v1/URL-to-Video/UpdateProduct"},{"title":"Generate Video from Product Information","openapi":"POST /create_video_from_url","description":"Final step to generate the product video. Use the product_id received from Step 1 (POST /product response)","href":"/api-reference/v1/URL-to-Video/CreateVideo"},{"title":"Generate Preview Video from Product Information","openapi":"POST /preview","description":"You can generate a preview video using the product_id obtained from the Upload URL to create a product. Set the relevant video parameters to create the preview. You can obtain the preview video result using the project_id at the Get Generated Video endpoint.","href":"/api-reference/v1/URL-to-Video/GeneratePreview"}]},{"group":"Create Avatar Videos","pages":[{"title":"Create Talking Avatar Videos","openapi":"POST /create_video_from_talking_avatar","description":"Creates a talking avatar video with specified parameters","href":"/api-reference/v1/Create-Avatar-Videos/CreateAvatarVideo"}]},{"group":"Get Generated Video","pages":[{"title":"Get Generated Video","openapi":"GET /project","description":"Get information about a specific project using its ID.","href":"/api-reference/v1/GetGeneratedVideo/GetGeneratedVideo"}]},{"group":"AI Scripts","pages":[{"title":"AI Scripts","openapi":"POST /ai_scripts","description":"Simply provide the product information or the product_id generated in the Upload URL to create product, and you can create several different styles of product introduction scripts.If you do not provide the product_id, then the product's name and description are required.","href":"/api-reference/v1/AI-Scripts/AI-Scripts"}]},{"group":"Upload Media","pages":[{"title":"Upload Media","openapi":"POST /upload/asset","description":"Generate a signed URL for file upload. Use the `sign_url` obtained here to upload your file.","href":"/api-reference/v1/UploadFile/UploadFile"}]},{"group":"Avatar","pages":[{"title":"Get Avatar List from Library","openapi":"GET /avatars","description":"Get a list of available avatars with specified filters","href":"/api-reference/v1/Avatar/GetAvatarList"},{"title":"Get Instant Avatar List","openapi":"GET /avatars/custom","description":"Get a list of your avatar","href":"/api-reference/v1/Avatar/GetInstantAvatar"},{"title":"Get Photo Avatar List","openapi":"GET /avatars/photo_avatars","description":"Get a list of your photo avatar","href":"/api-reference/v1/Avatar/GetPhotoAvatar"},{"title":"Generate AI Avatar Photo","openapi":"POST /photo_avatar/photo/generate","description":"Generate four photos based on the provided parameters","href":"/api-reference/v1/Avatar/GenerateAIAvatarPhoto"},{"title":"Check Photo Generation Status","openapi":"GET /photo_avatar/generation","description":"Check the generation status of the AI profile photo according to the photo ID","href":"/api-reference/v1/Avatar/CheckPhotoGenerationStatus"},{"title":"Generate Avatar New Look Photo","openapi":"POST /photo_avatar/new_look/generate","description":"Based on the provided photo, a new photo is generated by marrying the input parameters","href":"/api-reference/v1/Avatar/GenerateAvatarNewLookPhoto"},{"title":"Add Motion","openapi":"POST /photo_avatar/add_motion","description":"Adds an motion for the specified Photo Avatar","href":"/api-reference/v1/Avatar/AddMotion"},{"title":"Check status of the motion generation","openapi":"GET /photo_avatar","description":"Check the generation status of the Photo Avatar motion based on the motionID","href":"/api-reference/v1/Avatar/CheckStatusOfTheMotionGeneration"}]},{"group":"Voice","pages":[{"title":"Get Voice List from Library","openapi":"GET /voices","description":"Retrieve a list of available voices with specified filters","href":"/api-reference/v1/Voice/GetVoiceList"},{"title":"Get My Voice","openapi":"GET /voices/custom","description":"Retrieve a list of your available voice with specified gender filter","href":"/api-reference/v1/Voice/GetMyVoice"}]},{"group":"Visual Style","pages":[{"title":"Get Visual Style","openapi":"GET /visual_styles","description":"Get list of Visual Style","href":"/api-reference/v1/Visual-Style/GetVisualStyle"}]},{"group":"Template","pages":[{"title":"Get Template List from Library","openapi":"GET /templates","description":"Get list of templates","href":"/api-reference/v1/Template/GetTemplate"},{"title":"Get My Template","openapi":"GET /templates/custom","description":"Get list of your custom templates","href":"/api-reference/v1/Template/GetMyTemplate"},{"title":"Create Video From Template","openapi":"POST /create_video_with_template","href":"/api-reference/v1/Template/CreateVideoFormTemplate"}]},{"group":"Music","pages":[{"title":"Get Music List from JoggAI","openapi":"GET /musics","description":"Get a list of jogg music","href":"/api-reference/v1/Music/GetMusic"}]},{"group":"Webhook","pages":[{"title":"List of Webhook Endpoints","openapi":"GET /endpoints","description":"Get a list of configured webhook endpoints","href":"/api-reference/v1/Webhook/ListofWebhookEndpoints"},{"title":"Add a Webhook Endpoint","openapi":"POST /endpoint","description":"Add a new webhook endpoint configuration","href":"/api-reference/v1/Webhook/AddWebhookEndpoint"},{"title":"Update a Webhook Endpoint","openapi":"PUT /endpoint/{endpoint_id}","description":"Update an existing webhook endpoint configuration","href":"/api-reference/v1/Webhook/UpdateWebhookEndpoint"},{"title":"Delete a Webhook Endpoint","openapi":"DELETE /endpoint/{endpoint_id}","description":"Delete an existing webhook endpoint","href":"/api-reference/v1/Webhook/DeleteWebhookEndpoint"},{"title":"List of Available Webhook Events","openapi":"GET /events","description":"Get a list of available webhook events","href":"/api-reference/v1/Webhook/ListofAvailableWebhookEvents"}]}]}]},"basePath":"","title":"Create Video From Template - JoggAI API","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}